<?php 


        add_shortcode('h1', 'roktypo_h1');
    	add_shortcode('h2', 'roktypo_h2');
    	add_shortcode('h3', 'roktypo_h3');
    	add_shortcode('h4', 'roktypo_h4');
    	add_shortcode('h5', 'roktypo_h5');
    	add_shortcode('contentheading', 'roktypo_contentheading');
    	add_shortcode('componentheading', 'roktypo_componentheading');
    	add_shortcode('div2', 'roktypo_div2');
    	add_shortcode('div', 'roktypo_div');
    	add_shortcode('div3', 'roktypo_div3');
    	add_shortcode('pre', 'roktypo_pre');
    	add_shortcode('blockquote','roktypo_blockquote');
    	add_shortcode('list', 'roktypo_list');
    	add_shortcode('li', 'roktypo_li');
    	add_shortcode('emphasis','roktypo_emphasis');
    	add_shortcode('emphasisbold', 'roktypo_emphasisbold');
    	add_shortcode('emphasisbold2','roktypo_emphasisbold2');
	
    	add_shortcode('inset', 'roktypo_inset');
    	add_shortcode('dropcap','roktypo_dropcap');
    	add_shortcode('important','roktypo_important');
    	add_shortcode('underline','roktypo_underline');
    	add_shortcode('bold', 'roktypo_bold');
    	add_shortcode('italic','roktypo_italic');
    	add_shortcode('clear','roktypo_clear');
    	add_shortcode('readon','roktypo_readon');
    	add_shortcode('readon2','roktypo_readon2');
        
        add_shortcode('jaw', 'jaw_column');
	add_shortcode('p', 'roktypo_pnotice');


        
        function roktypo_h1($atts, $content = null) {
		return '<h1>'.$content.'</h1>';
	}
	
	function roktypo_h2($atts, $content = null) {
		return '<h2>'.$content.'</h2>';
	}
	
	function roktypo_h3($atts, $content = null) {
		return '<h3>'.$content.'</h3>';
	}
	
	function roktypo_h4($atts, $content = null) {
		return '<h4>'.$content.'</h4>';
	}
	
	function roktypo_h5($atts, $content = null) {
		return '<h5>'.$content.'</h5>';
	}
	
	function roktypo_contentheading($atts, $content = null) {
		return '<div class="contentheading">'.$content.'</div>';
	}
	
	function roktypo_componentheading($atts, $content = null) {	
		return '<div class="component-header"><h2 class="componentheading">'.$content.'</h2></div>';
	}
	
	function roktypo_div2($atts, $content = null) {
		extract(shortcode_atts(array(
			'class' => ''
		), $atts));

		if($class != '') $class = ' class="'.$class.'"';
		return '<div'.$class.'>'.do_shortcode($content).'</div>';
	}
	
	function roktypo_div($atts, $content = null) {
		extract(shortcode_atts(array(
			'class' => '',
			'class2' => ''
		), $atts));

		if($class != '') $class = ' class="'.$class.'"';
		if($class2 != '') $class2 = ' class="'.$class2.'"';
		return '<div'.$class.'><div'.$class2.'>'.do_shortcode($content).'</div></div>';
	}
	
	function roktypo_div3($atts, $content = null) {
		extract(shortcode_atts(array(
			'class' => '',
			'class2' => '',
			'class3' => ''
		), $atts));

		if($class != '') $class = ' class="'.$class.'"';
		if($class2 != '') $class2 = ' class="'.$class2.'"';
		if($class3 != '') $class3 = ' class="'.$class3.'"';
		return '<div'.$class.'><div'.$class2.'><div'.$class3.'>'.do_shortcode($content).'</div></div></div>';
	}
	
	function roktypo_pre($atts, $content = null) {	
		return '<pre>'.$content.'</pre>';
	}
	
	function roktypo_blockquote($atts, $content = null) {	
		return '<blockquote>'.$content.'</blockquote>';
	}
	
	function roktypo_list($atts, $content = null) {
		extract(shortcode_atts(array(
			'class' => ''
		), $atts));

		if($class != '') $class = ' class="'.$class.'"';
		return '<ul'.$class.'>'.do_shortcode($content).'</ul>';
	}
	
	function roktypo_li($atts, $content = null) {
		extract(shortcode_atts(array(
			'class' => ''
		), $atts));
		
		if($class != '') : 
			return '<li><div class="'.$class.'">'.do_shortcode($content).'</div></li>';
		else :
			return '<li>'.do_shortcode($content).'</li>';
		endif;
	}
	
	function roktypo_emphasis($atts, $content = null) {
	         extract(shortcode_atts(array(
			'color' => ''
		), $atts));
		if($color != '') $color='-'.$color;	
		return '<em class="highlight'.$color.'">'.do_shortcode($content).'</em>';
	}

	function roktypo_pnotice($atts, $content = null) {
	         extract(shortcode_atts(array(
			'class' => ''
		), $atts));
			
		return '<p class="'.$class.'">'.do_shortcode($content).'</p>';
	}
	
	function roktypo_emphasisbold($atts, $content = null) {	
		return '<em class="bold">'.$content.'</em>';
	}
	
	function roktypo_emphasisbold2($atts, $content = null) {	
		return '<em class="bold2">'.$content.'</em>';
	}
	
	function roktypo_inset($atts, $content = null) {
		extract(shortcode_atts(array(
			'title' => '',
			'side' => 'left'
		), $atts));

		return '<span class="inset-'.$side.'"><span class="inset-'.$side.'-title">'.$title.'</span>'.$content.'</span>';
	}
	
	function roktypo_dropcap($atts, $content = null) {
		extract(shortcode_atts(array(
			'cap' => ''
		), $atts));

		return '<p class="dropcap"><span class="dropcap">'.$cap.'</span>'.$content.'</p>';
	}
	
	function roktypo_important($atts, $content = null) {
		extract(shortcode_atts(array(
			'title' => ''
		), $atts));

		return '<div class="important"><span class="important-title">'.$title.'</span>'.$content.'</div>';
	}
	
	function roktypo_underline($atts, $content = null) {	
		return '<span style="text-decoration:underline;">'.$content.'</span>';
	}
	
	function roktypo_bold($atts, $content = null) {	
		return '<span style="font-weight:bold;">'.$content.'</span>';
	}
	
	function roktypo_italic($atts, $content = null) {	
		return '<span style="font-style:italic;">'.$content.'</span>';
	}
	
	function roktypo_clear($atts, $content = null) {	
		return '<div class="clear"></div>';
	}
	
	function roktypo_readon($atts, $content = null) {
		extract(shortcode_atts(array(
			'url' => ''
		), $atts));

		return '<p class="rt-readon-surround"><a class="readon" href="'.$url.'"><span>'.$content.'</span></a></p>';
	}
	
	function roktypo_readon2($atts, $content = null) {
		extract(shortcode_atts(array(
			'url' => ''
		), $atts));

		return '<a class="readon" href="'.$url.'"><span>'.$content.'</span></a>';
	}